#include "MKV56F24.h"
#include "fsl_common.h"
#include "fsl_gpio.h"
#include "fsl_port.h"

/*********************************************
PTA15LED˸
**********************************************/
volatile uint32_t g_systickCounter;
void SysTick_DelayTicks(uint32_t n);    //δʱʱ
void main()
{
    CLOCK_EnableClock(kCLOCK_PortA);    //PORTʱ
    port_pin_config_t GPIO_Port_Init = 
    {
        kPORT_PullUp ,    //
        kPORT_FastSlewRate,   //ѹ
        kPORT_PassiveFilterDisable,   //Դ˲
        kPORT_OpenDrainDisable,   //
        kPORT_LowDriveStrength,   //
        kPORT_MuxAsGpio,  //ͨGPIOģʽ
        kPORT_UnlockRegister, //
    };
    PORT_SetPinConfig(PORTA, 15U, &GPIO_Port_Init); //Ÿ÷ʽ
    gpio_pin_config_t config =
    {
        kGPIO_DigitalOutput,    //ģʽ
        0,
    };
    GPIO_PinInit(GPIOA, 15U, &config);  //ʼPTA15
    GPIO_PinWrite(GPIOA, 15, 1);    //PTA15д1
    
    /* Set systick reload value to generate 1ms interrupt */
    if (SysTick_Config(SystemCoreClock / 1000U))
    {
        while (1)
        {
        }
    }
    while (1)
    {
        GPIO_PinWrite(GPIOA, 15, 0);
        SysTick_DelayTicks(500U);
        GPIO_PinWrite(GPIOA, 15, 1);
        SysTick_DelayTicks(500U);
    }

}


void SysTick_Handler(void)
{
    if (g_systickCounter != 0U)
    {
        g_systickCounter--;
    }
}

void SysTick_DelayTicks(uint32_t n)
{
    g_systickCounter = n;
    while (g_systickCounter != 0U)
    {
    }
}

